=== debian/changelog ===
yorick (2.2.04+dfsg1-5ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Jul 2018 12:04:31 -0700

yorick (2.2.04+dfsg1-5) unstable; urgency=medium

  * Update list of architectures for each MPI variant;
  * Check against standards version 3.0.7;
  * Fix typo in manpage for dh_installyorick;
  * Update Vcs-Git URL to use https.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 15 Feb 2016 15:14:41 +0100

yorick (2.2.04+dfsg1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * Team upload.
  * [ca665bf] Replace mpich2 by mpich. (Closes: #808979)
  * [3ae4112] Apply cme fix dpkg-control.

  [ Bart Martens ]
  * [82ce3ae] Update d/watch.

 -- Anton Gladky <gladk@debian.org>  Mon, 28 Dec 2015 20:29:21 +0100

yorick (2.2.04+dfsg1-3) unstable; urgency=low

  * Bug fix: "unowned directories in /usr/local after purge (policy 6.8
    and 9.1.2): /usr/local/lib/yorick/", thanks to Andreas Beckmann
    (Closes: #787837).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 08 Jun 2015 15:38:29 +0200

yorick (2.2.04+dfsg1-2) unstable; urgency=low

  * Include autopkgtest suite;
  * Also run X11 tests during build (in xfb-run);
  * Get rid of texi2html build-dep;
  * Separate Build-Depends-Indep and split build-indep target;
  * Patch build system to make it reproducible.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 21 May 2015 22:16:05 +0200

yorick (2.2.04+dfsg1-1) unstable; urgency=low

  * New upstream release (with same version, hence bumping the dfsg
    repacking level). Contains our fix from 2.2.04+dfsg-2.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 20 May 2015 10:01:36 +0200

yorick (2.2.04+dfsg-3) unstable; urgency=low

  * Build MPY on pp64el.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 17:07:16 +0200

yorick (2.2.04+dfsg-2) unstable; urgency=low

  * Fix segfault at startup when yorick is not in the first directory of
    the PATH variable (Closes: #785692).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 19 May 2015 10:41:54 +0200

yorick (2.2.04+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 18 May 2015 15:08:39 +0200
