=== debian/changelog ===
yorick (2.2.04+dfsg1-12build3) noble; urgency=high

  * No change rebuild against libopenmpi3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:52:12 +0200

yorick (2.2.04+dfsg1-12build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:33:24 +0000

yorick (2.2.04+dfsg1-12build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:39:48 +0000

yorick (2.2.04+dfsg1-12) unstable; urgency=low

  * Bug fix: "flaky autopkgtest: ERROR (txtest) failed to open X display
    or create X window", thanks to Paul Gevers (Closes: #897236). (Mark
    test as flaky)

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 11 May 2020 11:56:53 +0200

yorick (2.2.04+dfsg1-11) unstable; urgency=low

  * Bug fix: "FTBFS: mpi.h:322:57: error: expected expression before
    ‘_Static_assert’", thanks to Lucas Nussbaum (Closes: #952104).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 28 Feb 2020 13:41:53 +0100

yorick (2.2.04+dfsg1-10) unstable; urgency=low

  * Split yorick-full out of the yorick source package.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 09 Jan 2019 14:53:56 +0100

yorick (2.2.04+dfsg1-9) unstable; urgency=low

  * Reactivate build-time tests with a tweak to only open a window once.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 20:40:40 +0100

yorick (2.2.04+dfsg1-8) unstable; urgency=low

  * Deactivate build-time test suite on arm64 armhf i386 ppc64el powerpc
    x32 because creating windows sometimes fail within xvfb-run. The
    problem does not seem to occur in a normal X server or in xpra.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 19 Mar 2018 09:25:08 +0100

yorick (2.2.04+dfsg1-7) unstable; urgency=low

  * Move YAO and Spydr from Depends to Suggests of yorick-full, because
    they both depend on python-gtk which is deprecated.
  * Bump debhelper compat version to 10.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 07 Feb 2018 10:45:31 +0100

yorick (2.2.04+dfsg1-6) unstable; urgency=low

  * Bug fix: "FTBFS: dpkg-shlibdeps: error: no dependency information
    found for /usr/lib/libmpich.so.12 (used by
    debian/yorick-mpy-mpich2/usr/lib/yorick/bin/mpy.mpich2)", thanks to
    Chris Lamb (Closes: #831406): introduce debian/shlibs.local.
  * Check against policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Aug 2016 06:01:28 +0200
