=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Section: science
-Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: libx11-dev,
                texinfo,
-               debhelper (>= 7.0.0),
+               debhelper (>= 10.0.0),
                quilt,
                po-debconf,
                libopenmpi-dev [alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32],
@@ -16,9 +15,9 @@
                xauth,
                xfonts-base
 Build-Depends-Indep: imagemagick
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yorick.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yorick.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/yorick
+Vcs-Git: https://salsa.debian.org/science-team/yorick.git
 Homepage: http://yorick.sourceforge.net
 
 Package: yorick
@@ -30,7 +29,6 @@
 Recommends: rlwrap,
             yorick-z
 Suggests: yorick-full,
-          yorick-dbg,
           yorick-mpy-openmpi | yorick-mpy-mpich2,
           emacsen,
           curl
@@ -55,21 +53,6 @@
  Many add-on packages and plug-ins are available for Yorick (the
  package names begin with "yorick-"). You may want to install the
  yorick-full metapackage which depends on the vast majority of them.
-
-Package: yorick-dbg
-Architecture: any
-Section: debug
-Depends: yorick (= ${binary:Version}),
-         ${misc:Depends}
-Description: debugging symbols for Yorick
- Yorick is an interpreted programming language for:
-  * scientific simulations or calculations
-  * postprocessing or steering large simulation codes
-  * interactive scientific graphics
-  * reading, writing, and translating large files of numbers
- .
- This package contains the debugging symbols for the yorick
- executable.
 
 Package: yorick-data
 Architecture: all
@@ -176,51 +159,3 @@
  .
  Once this package is installed, simply point your preferred web
  browser to file:///usr/share/doc/yorick-doc/README.html .
-
-Package: yorick-full
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yorick,
-         yorick-dev,
-         yorick-doc,
-         yorick-av [!ia64 !s390],
-         yorick-cubeview,
-         yorick-curses,
-         yorick-gl,
-         yorick-gy,
-         yorick-gyoto,
-         yorick-hdf5,
-         yorick-imutil,
-         yorick-mira,
-         yorick-ml4,
-         yorick-mpeg,
-         yorick-optimpack,
-         yorick-soy,
-         yorick-spydr,
-         yorick-svipc,
-         yorick-yao,
-         yorick-yeti,
-         yorick-yeti-fftw,
-         yorick-yeti-regex,
-         yorick-yeti-tiff,
-         yorick-ygsl,
-         yorick-ynfft,
-         yorick-yutils,
-         yorick-z
-Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
-Description: full installation of the Yorick interpreter and add-ons
- Yorick is an interpreted programming language for:
-  * scientific simulations or calculations
-  * postprocessing or steering large simulation codes
-  * interactive scientific graphics
-  * reading, writing, and translating large files of numbers
- .
- The yorick-full metapackage installs Yorick together with the full set
- of add-ons packaged for Debian.
- .
- You may prefer to only install the yorick package and cherry-pick the
- yorick-* add-ons you need.
- .
- If you need MPY, the MPI parallel version of Yorick, please install
- either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.
