=== debian/tests/control ===
Test-Command: xvfb-run yorick -batch testfull.i
Depends: yorick, xvfb, xauth, xfonts-base
Restrictions: flaky
