=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g,dversionmangle=s/\+dfsg\d*$// \
https://github.com/dhmunro/yorick/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|y(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
